package com.ruoyi.interfaces.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 模型应用流程对象 md_app_flow
 * 
 * @author 朱得糠
 * @date 2025-08-19
 */
public class MdAppFlow extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 流程图ID */
    private Long flowId;

    /** 模型ID */
    @Excel(name = "模型ID")
    private String appId;

    /** 流程图名称 */
    @Excel(name = "流程图名称")
    private String flowName;

    /** 流程图 */
    @Excel(name = "流程图")
    private String flowGraph;

    /** 流程类型 */
    @Excel(name = "流程类型")
    private String flowType;

    /** 流程图描述 */
    @Excel(name = "流程图描述")
    private String flowNote;

    /** 流程图状态 */
    @Excel(name = "流程图状态")
    private Integer flowStatus;

    /** 流程排序 */
    @Excel(name = "流程排序")
    private Integer flowSort;

    public void setFlowId(Long flowId) 
    {
        this.flowId = flowId;
    }

    public Long getFlowId() 
    {
        return flowId;
    }
    public void setAppId(String appId) 
    {
        this.appId = appId;
    }

    public String getAppId() 
    {
        return appId;
    }
    public void setFlowName(String flowName) 
    {
        this.flowName = flowName;
    }

    public String getFlowName() 
    {
        return flowName;
    }
    public void setFlowGraph(String flowGraph) 
    {
        this.flowGraph = flowGraph;
    }

    public String getFlowGraph() 
    {
        return flowGraph;
    }
    public void setFlowType(String flowType) 
    {
        this.flowType = flowType;
    }

    public String getFlowType() 
    {
        return flowType;
    }
    public void setFlowNote(String flowNote) 
    {
        this.flowNote = flowNote;
    }

    public String getFlowNote() 
    {
        return flowNote;
    }
    public void setFlowStatus(Integer flowStatus) 
    {
        this.flowStatus = flowStatus;
    }

    public Integer getFlowStatus() 
    {
        return flowStatus;
    }
    public void setFlowSort(Integer flowSort) 
    {
        this.flowSort = flowSort;
    }

    public Integer getFlowSort() 
    {
        return flowSort;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("flowId", getFlowId())
            .append("appId", getAppId())
            .append("flowName", getFlowName())
            .append("flowGraph", getFlowGraph())
            .append("flowType", getFlowType())
            .append("flowNote", getFlowNote())
            .append("flowStatus", getFlowStatus())
            .append("flowSort", getFlowSort())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
